//------------------------------------------------------------------------------------------------

//
// File: linesegment.h
// Author: Roman Lysecky
// Date Created: 28 November 2011
// 
// Description: Declaration of a LineSegment class with basis constructor and destructor.
// 
// Copyright: Roman Lysecky, Electrical and Computer Engineering, University of Arizona, 2011.
// 
// 

//------------------------------------------------------------------------------------------------

#ifndef LINESEGMENT_H
#define LINESEGMENT_H

//------------------------------------------------------------------------------------------------

class LineSegment {
    
public:
    float x1, y1;
    float x2, y2;
    LineSegment *next;
};

//------------------------------------------------------------------------------------------------

#endif

//------------------------------------------------------------------------------------------------
