//------------------------------------------------------------------------------------------------


//
// File: main.cpp
// Author: Roman Lysecky
// Date Created: 28 November 2011
// 
// Copyright: Roman Lysecky, Electrical and Computer Engineering, University of Arizona, 2011.
// 
//

//------------------------------------------------------------------------------------------------

#include "linesegment.h"
#include "polygon.h"
#include <iostream>

//------------------------------------------------------------------------------------------------

int 
main() 
{
    Polygon polygon1;
    
    polygon1.insert_segment_next(0, 0, 0, 5, 0);
    polygon1.insert_segment_next(5, 5, 0, 5, 0);
    polygon1.insert_segment_next(5, 5, 5, 0, 0);
    polygon1.insert_segment_next(5, 0, 0, 0, 0);
        
    polygon1.display();
    
    if( polygon1.is_valid() ) {
        std::cout << " is a valid polygon." << std::endl;
    }
    else {
        std::cout << " is not a valid polygon." << std::endl;
    }
       
    std::cout << std::flush;
    
    return 0;
}

//------------------------------------------------------------------------------------------------

